#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ccrtp
Version		:	2.1.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Common C++ class framework for RTP/RTCP
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	http://www.gnu.org/software/ccrtp

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ucommon
#-----------------------------------------------------------------------------
%description
GNU ccRTP is an implementation of RTP, the real-time transport
protocol from the IETF (see RFC  3550, RFC 3551 and RFC 3555).
Releases 1.5.0 and above support the Secure RTP profile, SRTP
(see RFC 3711). A separate extension package, GNU ZRTP
(libzrtpcpp), provides support for the ZRTP protocol (as defined
in the Internet RFC 6189).



#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build
./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#to remove info dir empty directory
%{__rm} -fr %{buildroot}%{_infodir}/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_infodir}/%{name}.info.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
